PHPExcel_Shared_Escher

# Class: PHPExcel_Shared_Escher_DgContainer_SpgrContainer

Source Location: /PHPExcel/Shared/Escher/DgContainer/SpgrContainer.php

### Class Overview

PHPExcel_Shared_Escher_DgContainer_SpgrContainer

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- addChild
- getAllSpContainers
- getChildren
- getParent
- setParent

### Class Details

[line 35]
PHPExcel_Shared_Escher_DgContainer_SpgrContainer

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method addChild [line 76]

`void addChild( mixed $child)`

Add a child. This will be either spgrContainer or spContainer

#### Tags:

access: | public

#### Parameters:

mixed | $child |

[ Top ]

### method getAllSpContainers [line 95]

`PHPExcel_Shared_Escher_DgContainer_SpgrContainer_SpContainer[] getAllSpContainers( )`

Recursively get all spContainers within this spgrContainer

#### Tags:

access: | public

[ Top ]

### method getChildren [line 85]

`void getChildren( )`

Get collection of Shape Containers

#### Tags:

access: | public

[ Top ]

### method getParent [line 66]

`PHPExcel_Shared_Escher_DgContainer_SpgrContainer|null getParent( )`

Get the parent Shape Group Container if any

#### Tags:

access: | public

[ Top ]

### method setParent [line 56]

`void setParent( PHPExcel_Shared_Escher_DgContainer_SpgrContainer $parent)`

Set parent Shape Group Container

#### Tags:

access: | public

#### Parameters:

PHPExcel_Shared_Escher_DgContainer_SpgrContainer | $parent |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:46 +0200 by phpDocumentor 1.4.4